> For the complete documentation index, see [llms.txt](https://docs.kognitos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kognitos.com/legacy/legacy-experience/books/reference/confluence.md).

# Confluence

Procedures and concepts for the Confluence integration.

{% hint style="info" %}
The following documentation is for **Confluence v1.3.1** *(BDK)*.
{% endhint %}

## Overview

This integration provides automation capabilities for Confluence, enabling streamlined workflows and enhanced productivity. Connect your processes with Confluence to automate routine tasks and improve operational efficiency.

## Prerequisites

### 1. Required Books

The following Book(s) need to be added to your agent so it can learn and understand the automation procedures defined within them:

* **Confluence**

#### How to Add the Book(s)

1. Go to **Books** → **All Books**.
2. Search for the name of the book and click on it.
3. Click on <kbd>**Install**</kbd> or <kbd>**Add Connection**</kbd> to add the book to your agent.
4. If adding a connection, you'll be prompted for [**connectivity**](#connectivity) details.

## Connectivity

This section outlines the available methods for connecting to the Book, along with the required configuration details for each.

### Connect using Email, Domain and Token

Connects to an API using the provided email and Atlassian token.

| Label  | Description                                | Type        |
| ------ | ------------------------------------------ | ----------- |
| Email  | The email address for authentication       | `text`      |
| Domain | The domain of the Atlassian account        | `text`      |
| Token  | The Atlassian API token for authentication | `sensitive` |

## Procedures

### to create a page in a (space)

Creates a page in Confluence

**Input Concepts**

| Concept                      | Description                                         | Type               | Required | Default Value |
| ---------------------------- | --------------------------------------------------- | ------------------ | -------- | ------------- |
| [`space`](#confluence-space) | The Confluence space where the page will be created | `confluence space` | Yes      | (no default)  |
| `title`                      | The title of the page to create                     | `text`             | Yes      | (no default)  |
| `body`                       | The body content of the page in wiki format         | `text`             | Yes      | (no default)  |

**Output Concepts**

| Concept                     | Description                         | Type              |
| --------------------------- | ----------------------------------- | ----------------- |
| [`space`](#confluence-page) | The created ConfluencePage instance | `confluence page` |

**Examples**

Retrieve all pages

```generic
retrieve a space from confluence whose keys is "MySpaceKey"
use the above as the space
>>>
create a page in the space
    the title is "Page from playground 2"
    the body is "This is a new page created from a kognitos playground!"
```

### to retrieve some (pages) from *confluence*

![FILTER - CAPABLE](https://img.shields.io/static/v1?label=FILTER\&message=CAPABLE\&color=blue)

Retrieves pages from Confluence

**Output Concepts**

| Concept                     | Description       | Type              |
| --------------------------- | ----------------- | ----------------- |
| [`pages`](#confluence-page) | the list of pages | `confluence page` |

**Examples**

Retrieve all pages

```generic
retrieve some pages from confluence
```

Retrieve a space by its title.

```generic
retrieve the page from confluence whose title is "Integration Docs"
```

### to retrieve some (spaces) from *confluence*

![FILTER - CAPABLE](https://img.shields.io/static/v1?label=FILTER\&message=CAPABLE\&color=blue)

Retrieves spaces from Confluence

**Output Concepts**

| Concept                       | Description        | Type               |
| ----------------------------- | ------------------ | ------------------ |
| [`spaces`](#confluence-space) | the list of spaces | `confluence space` |

**Examples**

Retrieve all spaces

```generic
retrieve some spaces from confluence
```

Retrieve a space by its key.

```generic
retrieve a space from confluence whose keys is "MySpaceKey"
```

## Concepts

### Confluence space

A Space in Confluence

| Field Name | Description                        | Type   |
| ---------- | ---------------------------------- | ------ |
| `id`       | The unique identifier of the space | `text` |
| `name`     | The name of the space              | `text` |

### Confluence page

A Page in Confluence

| Field Name | Description                       | Type   |
| ---------- | --------------------------------- | ------ |
| `id`       | The unique identifier of the page | `text` |
| `title`    | The title of the page             | `text` |
| `content`  | The content of the page           | `text` |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kognitos.com/legacy/legacy-experience/books/reference/confluence.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
